"""Peewee migrations -- 100_MAIN.py."""

import peewee as pw
from peewee_migrate import Migrator

try:
    import playhouse.postgres_ext as pw_pext
except ImportError:
    pass

SQL = pw.SQL


def migrate(migrator: Migrator, database, fake=False, **kwargs):
    migrator.add_fields('transportzone', price_is_per_m3=pw.BooleanField(constraints=[SQL("DEFAULT True")], default=True))


def rollback(migrator: Migrator, database, fake=False, **kwargs):
    migrator.remove_fields('transportzone', 'price_is_per_m3')
